Name:           lib3ds
Version:        1.3.0
Release:        1
Summary:        3D Studio file format library
Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://lib3ds.sourceforge.net
Source0:        %{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-aix.patch
Patch1:         %{name}-1.2.0-pkgconfig.diff
Patch2:         %{name}-%{version}-3ds2m.diff

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
lib3ds is a free ANSI-C library for working with the popular "3ds" 3D model
format.

Supported platforms include GNU (autoconf, automake, libtool, make, GCC) on
Unix and Cygwin, and MS Visual C++ 6.0. lib3ds loads and saves Atmosphere
settings, Background settings, Shadow map settings, Viewport setting,
Materials, Cameras, Lights, Meshes, Hierarchy, Animation keyframes. It also
contains useful matrix, vector and quaternion mathematics tools. lib3ds
usually integrates well with OpenGL. In addition, some diagnostic and
conversion tools are included.


%package        devel
Summary:        %summary
Group:          Development/Libraries
Requires:	pkg-config
Requires:	%{name} = %{version}-%{release}

%description    devel
Development files for %{name}.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%package        tools
Summary:        %summary
Group:          Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description    tools
Some tools to process 3ds files.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static
make %{?_smp_mflags}

cp %{name}/.libs/%{name}-1.so.3 .
make distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q %{name}/.libs/%{name}-1.a ./%{name}-1.so.3

sed -e 's,@prefix@,%{_prefix},' \
  -e 's,@exec_prefix@,%{_exec_prefix},' \
  -e 's,@libdir@,%{_libdir},' \
  -e 's,@includedir@,%{_includedir},' \
  -e 's,@VERSION@,%{version},' \
  lib3ds.pc.in > lib3ds.pc


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/pkgconfig
cp %{name}.pc ${RPM_BUILD_ROOT}%{_libdir}/pkgconfig
chmod 0644 ${RPM_BUILD_ROOT}%{_libdir}/pkgconfig/%{name}.pc

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)



%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%{_bindir}/%{name}-config
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man1/%{name}-config.1
%{_datadir}/aclocal/*
/usr/bin/%{name}-config
/usr/include/*
/usr/lib/*.la


%files tools
%defattr(-,root,system,-)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/3ds*
%{_mandir}/man1/3ds*.1
/usr/bin/3ds*


%changelog
* Mon Jun 30 2008 Michael Perzl <michael@perzl.org> - 1.3.0-1
- first version for AIX V5.1 and higher
